package com.mortals.xhx.common.code;

import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

public enum YesNoEnum implements IBaseEnum{
	
	NO(0, "否"),
    YES(1, "是");
    
    private int value;
    private String desc;

    YesNoEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

	public static YesNoEnum getByValue(int value) {
        for (YesNoEnum YesNoEnum : YesNoEnum.values()) {
            if (YesNoEnum.getValue() == value) {
                return YesNoEnum;
            }
        }
        return null;
    }


	/**
	 * 获取Map集合
	 * @param eItem 不包含项
	 * @return
	 */
	public static Map<String,String> getEnumMap(int... eItem) {
		Map<String,String> resultMap= new LinkedHashMap<String,String>();
		for (YesNoEnum item : YesNoEnum.values()) {
			try{
				boolean hasE = false;
				for (int e : eItem){
					if(item.getValue()==e){
						hasE = true;
						break;
					}
				}
				if(!hasE){
					resultMap.put(item.getValue()+"", item.getDesc());
				}
			}catch(Exception ex){
			}
		}
		return resultMap;
	}

}
